DNF5-LEAVES(8)

NAME
dnf5-leaves - Leaves Command

SYNOPSIS

dnf5 leaves

DESCRIPTION

The leaves command in DNF5 is used to list all leaf packages. Leaf packages are installed packages that are not required as a dependency of another installed package. However, two or more installed packages might depend on each other in a dependency cycle. Packages in such cycles that are not required by any other installed package are also leaf. Packages in such cycles form a group of leaf packages.

Packages in the output list are sorted by group and the first package in the group is preceded by a - character.

OPTIONS

Does not implement options. But it takes into account the install_weak_deps setting. If install_weak_deps is set to false, weak dependencies are ignored during the calculation of the set of leaf packages.

WHY IS THIS USEFUL?

The list gives you a nice overview of what is installed on your system without flooding you with anything required by the packages already shown. The following list of arguments basically says the same thing in different ways:

    •   All the packages on this list is either needed by you, other users of the system or not needed at all -- if it was required by another installed package it would not be on the list.

    •   If you want to uninstall anything from your system (without breaking dependencies) it must involve at least one package on this list.

    •   If there is anything installed on the system which is not needed it must be on this list -- otherwise it would be required as a dependency by another package.

Author
See AUTHORS.md in dnf5 source distribution.

Copyright
Contributors to the dnf5 project.